Index: branches/0.3-poznan-univ/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg
===================================================================
--- branches/0.3-poznan-univ/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg	(revision 29)
+++ branches/0.3-poznan-univ/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg	(revision 30)
@@ -97,5 +97,5 @@
 ALF                       : 1                                      # use adaptive loop filter
 ALFEncodePassReduction    : 0                                      # ALF encoding (0:original 16-pass, 1:one-pass, 2:two-pass)
-DBMP                      : 1                                      # use depth base motion prediction
+DBMP                      : 0                                      # use depth base motion prediction
 CUSkip                    : 1                                      # encode only disoccluded CUs in dependend views
 TDdQP                     : 1                                      # texture TU blocks QP param modification according to depth map's values
Index: branches/0.3-poznan-univ/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg
===================================================================
--- branches/0.3-poznan-univ/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg	(revision 29)
+++ branches/0.3-poznan-univ/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg	(revision 30)
@@ -101,5 +101,5 @@
 ALF                       : 1                                      # use adaptive loop filter
 ALFEncodePassReduction    : 0                                      # ALF encoding (0:original 16-pass, 1:one-pass, 2:two-pass)
-DBMP                      : 1                                      # use depth base motion prediction
+DBMP                      : 0                                      # use depth base motion prediction
 CUSkip                    : 1                                      # encode only disoccluded CUs in dependend views
 TDdQP                     : 1                                      # texture TU blocks QP param modification according to depth map's values
Index: branches/0.3-poznan-univ/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/0.3-poznan-univ/source/App/TAppDecoder/TAppDecTop.cpp	(revision 29)
+++ branches/0.3-poznan-univ/source/App/TAppDecoder/TAppDecTop.cpp	(revision 30)
@@ -684,8 +684,8 @@
   }
   iNearestViewIdx = 0;
-  //bRenderFromLeft = iCoddedViewOrderIdx>0?true:false;
+  //m_cCamParsCollector.getNearestBaseView(iCoddedViewIdx, iNearestViewIdx, iRelDistToLeft, bRenderFromLeft);
+  //bRenderFromLeft = iCoddedViewIdx>1?true:false;
+  bRenderFromLeft = iCoddedViewOrderIdx>0?true:false;
   //bRenderFromLeft = iCoddedViewOrderIdx<0?true:false;
-  //m_cCamParsCollector.getNearestBaseView(iCoddedViewIdx, iNearestViewIdx, iRelDistToLeft, bRenderFromLeft);
-  bRenderFromLeft = iCoddedViewIdx>1?true:false;
 
   m_cAvailabilityRenderer.setShiftLUTs(
Index: branches/0.3-poznan-univ/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/0.3-poznan-univ/source/App/TAppEncoder/TAppEncTop.cpp	(revision 29)
+++ branches/0.3-poznan-univ/source/App/TAppEncoder/TAppEncTop.cpp	(revision 30)
@@ -1355,5 +1355,5 @@
   Char acFilenameBase[1024];
   ::sprintf( acFilenameBase,  "Synth_%s_%s_V%d.yuv", (bDepth?"Depth":"Tex"),( false ? "Dec" : "Enc" ),iCoddedViewIdx );
-  pcPicYuvERView->dump(acFilenameBase, iCurPoc!=0);
+  pcPicYuvSynthView->dump(acFilenameBase, iCurPoc!=0);
   }
 #endif
Index: branches/0.3-poznan-univ/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/0.3-poznan-univ/source/Lib/TLibCommon/TComDataCU.cpp	(revision 29)
+++ branches/0.3-poznan-univ/source/Lib/TLibCommon/TComDataCU.cpp	(revision 30)
@@ -4371,4 +4371,10 @@
     return false;
   }
+//#if POZNAN_ENCODE_ONLY_DISOCCLUDED_CU //Owieczka
+//  if (pColCU->isSkipped(uiAbsPartAddr))
+//  {
+//    return false;
+//  }
+//#endif
 #if !SONY_COLPIC_AVAILABILITY
   if( m_pcSlice->getRefPic(eRefPicList, riRefIdx)->getViewIdx() != m_pcSlice->getViewIdx() )
Index: branches/0.3-poznan-univ/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/0.3-poznan-univ/source/Lib/TLibDecoder/TDecCu.cpp	(revision 29)
+++ branches/0.3-poznan-univ/source/Lib/TLibDecoder/TDecCu.cpp	(revision 30)
@@ -440,5 +440,4 @@
   // Coefficient decoding
   m_pcEntropyDecoder->decodeCoeff( pcCU, uiAbsPartIdx, uiDepth, uiCurrWidth, uiCurrHeight );
-  
 }
 
